Subject: Re: Freezing the HTML spec Re: Comments in HTML ?
From: Tim Berners-Lee <[email-masked]>
To: Dan Connolly <[email-masked]>
Cc: [email-masked]
Date: Fri, 20 Nov 92 12:13:59 +0100

Dan, I agree with all your points. I have a few comments below.

> Date: Thu, 19 Nov 92 12:49:51 CST
> From: Dan Connolly <[email-masked]>
> 

...
> 	* Use the LineMode browser as a reference implementation.
> 	Try not to include features that www doesn't grok.

If there is a bug in the current W3 library, then we can fix that,
rather than work our way around tortuously. Like the problem
with elements not being allowed within anchors -- that had just never
been tested and happened to have a bug.

> 3. Revise the spec so that it's internally consistent. Right
> now, there are some glitches. And the current method of
> sending suggestions to Tim and hoping he finds time to make
> the edits is no good. Hmmm... we definitely need a CSCW
> strategy for group-editing of documents.

Don't we just!
If you can serve up a current version, then could you be editor?

> 4. Register the spec with the IANA or IETF or whatever.
> 

> Meanwhile, I think it's pretty important to fix the NeXT editor
> and all the files on info.cern.ch. Folks are using that as a
> reference, and perpetuating HTML that conflicts with the SGML
> standard.

Fixing the NeXTStep editor is the problem.
 > 

> SGML is a mess!
>

I agree. It is a political decsion to use it.  We should try to avoid
using weird constructs, though, so that HTML is as clean as possible
notwithstanding the SGML mess.

> >> Does any of the existing WWW code support comments ?
> >
> >As it happens, the current library supports them, so the line mdoe
> >browser and anything else based on the library does. But it has
> >been left out of the doc and so will probably me missing from other browers.
> >
> 

> Try the <? foo > construct.

The SGML systems at CERN use <? > for low-level commands, which I think
is what they were intended for, like embedded TeX or script commands.
Puttimng arbitrary comments in as processor instructions might cause
unpredicatble effects.  <comment>...</comment> is an easy thing to define,
use, doesn't use any features which some parsers don't have, and
is also rather self-explanarory.

> Dan
> 

> 

	Tim